---
---
<!-- HTML header for doxygen 1.8.10-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.11"/>
<title>TGUI: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { init_search(); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
<!-- BEGIN CUSTOM 1 -->
<!-- --{{""}}>
{% include head.ext %}
<style>
  div {
    margin-bottom: 0
  }
  #contents {
    padding-left: 0;
    padding-right: 0;
    margin-left: 0;
    margin-right: 0;
    max-width: 1060px;
  }
  address.footer {
    padding-bottom: 1.4em;
  }
</style>
<script type="text/javascript">
function getXPos(item) {
  var x = 0;
  if (item.offsetWidth) {
    while (item && item != document.body && item.id != 'body') {
      x   += item.offsetLeft;
      item = item.offsetParent;
    }
  }
  return x;
}
</script>
<{{""}}!-- -->
<!-- END CUSTOM 1 -->
</head>
<body>
<!-- BEGIN CUSTOM 2 -->
<!-- --{{""}}>
<div id="body" class="NoMargin">
{% include navigation.ext %}
<div id="contents" class="NoMargin">
<{{""}}!-- {% raw %} -->
<!-- END CUSTOM 2 -->
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">TGUI
   &#160;<span id="projectnumber">v0.7-dev</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.11 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="hierarchy.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacetgui.html">tgui</a></li><li class="navelem"><a class="el" href="classtgui_1_1Theme.html">Theme</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">tgui::Theme Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Theme.html#adec9efd021bbd5514b0fdeec5f8ba28a">clone</a>() const </td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Theme.html#a69959a2b8b1dfeae06b7f256e8fa3cbf">create</a>(const std::string &amp;filename=&quot;&quot;)</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Theme.html#ab07fc1f75dc9f8f5a851059c32da5d15">getProperty</a>(std::string className, std::string property) const </td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Theme.html#afd29d2bc1bc90b6aaf20598c39bc1f94">getPropertyValuePairs</a>(std::string className) const </td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Theme.html#a0799e83b9c999ce798c5e79c847ec990">initWidget</a>(Widget *widget, std::string filename, std::string className) override</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Theme.html#af1d7c0bd769f542fdcbf133f7358ea93">internalLoad</a>(const std::string &amp;filename, const std::string &amp;className) override</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Theme.html#a4f5d1531280273b1914f0f043b8dc75c">load</a>(std::string className)</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html#a11159db7392530214ecc982e9b0f55b8">m_constructors</a></td><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html">tgui::BaseTheme</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html#a5d1445eda90da9bf03a9c433df10d6b6">m_themeLoader</a></td><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html">tgui::BaseTheme</a></td><td class="entry"><span class="mlabel">protected</span><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Theme.html#a6428ad1bf9c7b651f42e4863a91b82bf">Ptr</a> typedef</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Theme.html#a22dbce626a48780b9bddf239ae8fe834">reload</a>(const std::string &amp;filename)</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Theme.html#ae45b316e7187975f24a02dac7753bc04">reload</a>(std::string oldClassName, std::string newClassName)</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Theme.html#ace3e827ca1d7fe9bb28867dd18601f6b">reload</a>(Widget::Ptr widget, std::string className)</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html#a6df0b3356afa3ef601518dbf8b8c52f2">setConstructFunction</a>(const std::string &amp;type, const std::function&lt; Widget::Ptr()&gt; &amp;constructor)</td><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html">tgui::BaseTheme</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1Theme.html#a77809152ae5a4b6adad307b43afd10ac">setProperty</a>(std::string className, const std::string &amp;property, const std::string &amp;value)</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Theme.html#a909fb7903bcf81bdd6730fabadcd521a">setProperty</a>(std::string className, const std::string &amp;property, ObjectConverter &amp;&amp;value)</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html#af7e67bae705f027d34833220bebbc520">setThemeLoader</a>(const std::shared_ptr&lt; BaseThemeLoader &gt; &amp;themeLoader)</td><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html">tgui::BaseTheme</a></td><td class="entry"><span class="mlabel">static</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Theme.html#a030fa19678bb9f8a5844ce6b4e17c767">Theme</a>(const std::string &amp;filename=&quot;&quot;)</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html#a8a6a0cd9615c073b143189a6a1a82a4e">widgetAttached</a>(Widget *widget)</td><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html">tgui::BaseTheme</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classtgui_1_1Theme.html#a002af61e6bf83f0bbe6b849bcb5f4224">widgetDetached</a>(Widget *widget) override</td><td class="entry"><a class="el" href="classtgui_1_1Theme.html">tgui::Theme</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html#a4505ccf085cc621b14f91193897cb467">~BaseTheme</a>()=default</td><td class="entry"><a class="el" href="classtgui_1_1BaseTheme.html">tgui::BaseTheme</a></td><td class="entry"><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
<!-- HTML footer for doxygen 1.8.10-->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Sat Nov 25 2017 17:32:45 for TGUI by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.11
</small></address>
<!-- BEGIN CUSTOM 3 -->
<!-- {% endraw %} -{{""}}-{{""}}>
</div>
{% include page_footer.ext %}
</div>
{% include footer.ext %}
<{{""}}!{{""}}-{{""}}- -->
<!-- END CUSTOM 3 -->
</body>
</html>
